% Compute the energy for quasi-conformal statistical shape analysis
%
% If you use this code in your own work, please cite the following paper:
% [1] G. P. T. Choi, H. L. Chan, R. Yong, S. Ranjitkar, A. Brook, G. Townsend, K. Chen, and L. M. Lui, 
%     "Tooth morphometry using quasi-conformal theory."
%     Pattern Recognition, 99, 107064, 2020.
%
% Copyright (c) 2019, Hei Long Chan

function Energy = QCSSA_RestoreEnergy( parameters, Energy_components )

% Check number of elements
if length(parameters)~=numel(Energy_components)
    error('Number of parameters does not match with the number of elements in the energy collection of clutser 1');
end

Energy = zeros(size(Energy_components{1}));

for ii = 1:length(parameters)
    Energy = Energy + parameters(ii)*abs(Energy_components{ii});
end
    