% Extract statistical significant region for quasi-conformal statistical shape analysis
%
% If you use this code in your own work, please cite the following paper:
% [1] G. P. T. Choi, H. L. Chan, R. Yong, S. Ranjitkar, A. Brook, G. Townsend, K. Chen, and L. M. Lui, 
%     "Tooth morphometry using quasi-conformal theory."
%     Pattern Recognition, 99, 107064, 2020.
%
% Copyright (c) 2019, Hei Long Chan

function [ selection, P ] = QCSSA_Selection( Energy_cluster1, Energy_cluster2, threshold )

% Compute p-value and statistical significant region
P = QCSSA_Pvalue( Energy_cluster1, Energy_cluster2 );
P = min(P);
if threshold<=1
    selection = find(P<threshold);
else
    [~,selection] = sort(P);
    selection = sort(selection(1:threshold));
end